<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task with then</title>
  </head>
  <body>
    <button type="button" id="getResultBtn">Get phrase</button>
    <div id="result"></div>

    <script>
      const baseUrl = "https://fe.it-academy.by/Examples/words_tree/";
      const initialFileName = "root.txt";

      async function fetchFile(fileName) {
        return fetch(`${baseUrl}${fileName}`)
          .then((response) => response.clone().json().catch(() => response.text()))
          .then((fileContent) => {
            if (Array.isArray(fileContent)) {
              return Promise.all(fileContent.map(fetchFile)).then((partsOfText) => partsOfText.join(" "));
            } else {
              return fileContent;
            }
          })
          .catch((err) => {
            console.warn(err);
            return null;
          });
      }

      async function handleClick() {
        const resultText = await fetchFile(initialFileName);

        const div = document.getElementById("result");
        div.innerText = resultText;
      }

      const btn = document.getElementById("getResultBtn");
      btn.addEventListener("click", handleClick);
    </script>
  </body>
</html>
